<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:dp="http://www.datapower.com/extensions"
  extension-element-prefixes="dp"
>
  <dp:input-mapping  href="store:///pkcs7-convert-input.ffd" type="ffd"/>

  <xsl:output omit-xml-declaration="yes" />
    
  <xsl:template match="/">
    <xsl:copy-of 
      select="substring(
                dp:radix-convert(
                  dp:concat-base64(
                    dp:radix-convert('F0',16,64),
                    dp:binary-encode(/object/message/node())
                  ),
                  64,
                  16
                ),
                3
              )"
    />
  </xsl:template>
  
</xsl:stylesheet>
